/*
  
  This file is part of ERIKYYYPHONE
  Copyright (C) 1996 Erik Thiele
  see README for details and contact adresses.

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  */

#ifndef __CLIENTCONNECTION_H
#define __CLIENTCONNECTION_H

#include "MSG.H"
#include "erikyyylist.H"
#include "warter.H"

class clientconnection {
public:
  clientconnection(MSG_communicator *com_);
  ~clientconnection();

  int handleevent();

  static void sendmsg(uint8 msgart,char *buf,uint16 len);

private:
  MSG_communicator *com;
};

extern liste<clientconnection> *clientconnectionlist;
extern liste<int32> *clientallowancelist;

#endif
